Summary: Simply a set of C++ classes for packing and unpacking OSC packets
Name: oscpack
Version: 1.0.2
Release: 1%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.audiomulch.com/~rossb/code/oscpack/
Source: %{name}_1_0_2.zip
Patch0: %{name}-1.0.2-PIC.patch
Patch1: %{name}-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot-%(%{__id_u} -n)

BuildRequires: dos2unix

%description
Oscpack is simply a set of C++ classes for packing and unpacking OSC packets.

Oscpack includes a minimal set of UDP networking classes for Windows and POSIX
which are sufficient for writing many OSC applications and servers, but you
are encouraged to use another networking framework if it better suits your
needs. Oscpack is not an OSC application framework, it doesn't include
infrastructure for constructing or routing OSC namespaces, just classes for
easily constructing, sending, receiving and parsing OSC packets. The library
should also be easy to use for other transport methods (eg serial).

%package devel
Summary:        Oscpack library development headers
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files needed to build applications against oscpack.

%prep
%setup -q -n oscpack
%patch0 -p1
%patch1 -p1

dos2unix     CHANGES LICENSE README TODO examples/*
chmod 644 CHANGES LICENSE README TODO examples/*

%build
make lib all COPTS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 %{buildroot}%{_bindir}
install -m 755 bin/* %{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_libdir}
install -m 644 liboscpack.so.%{version} %{buildroot}%{_libdir}
pushd %{buildroot}%{_libdir}
	ln -s -f liboscpack.so.102 liboscpack.so
popd

install -dm 755 %{buildroot}%{_includedir}/%{name}/ip
install -m 644 ip/*.h %{buildroot}%{_includedir}/%{name}/ip
install -dm 755 %{buildroot}%{_includedir}/%{name}/osc
install -m 644 osc/*.h %{buildroot}%{_includedir}/%{name}/osc

rm examples/*.o

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README TODO
%doc examples/*
%{_bindir}/*
%{_libdir}/liboscpack.so.*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%files devel
%defattr(-,root,root)
%{_libdir}/liboscpack.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

%changelog
* Wed Mar 24 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 1.0.2-1
- initial build (based on opensuse package)
